#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
#-----------------------------------------------------------------------------
Name		:	yajl
Version		:	2.1.0
Release		:	14.4.0.0%{?dist}
Summary		:	Yet Another JSON Library (YAJL)

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	ISC
URL		:	https://github.com/lloyd/yajl


Source0		:	%{name}-%{version}.tar.gz
patch0		:	%{name}-%{version}-pkgconfig-location.patch
patch1		:	%{name}-%{version}-pkgconfig-includedir.patch

#-----------------------------------------------------------------------------
Buildrequires	:	cmake
Buildrequires	:	gcc
#-----------------------------------------------------------------------------
%description
Yet Another JSON Library. YAJL is a small event-driven
(SAX-style) JSON parser written in ANSI C, and a small
validating JSON generator.

#-----------------------------------------------------------------------------
%files			
%defattr(-,root,root,-)
%license COPYING
%doc ChangeLog README TODO
%{_bindir}/json_reformat
%{_bindir}/json_verify
%{_libdir}/lib%{name}.so.2
%{_libdir}/lib%{name}.so.2.*
 

#=============================================================================
%package		devel
Summary		:	Libraries, includes, etc to develop with YAJL

#-----------------------------------------------------------------------------
Requires	:	%{name}		=  %{version}-%{release}

#-----------------------------------------------------------------------------
%description		devel
%description devel
Yet Another JSON Library. YAJL is a small event-driven
(SAX-style) JSON parser written in ANSI C, and a small
validating JSON generator.
 
This sub-package provides the libraries and includes
necessary for developing against the YAJL library

#-----------------------------------------------------------------------------
%files			devel
%defattr(-,root,root,-)
%{_includedir}/%{name}/%{name}_common.h
%{_includedir}/%{name}/%{name}_gen.h
%{_includedir}/%{name}/%{name}_parse.h
%{_includedir}/%{name}/%{name}_tree.h
%{_includedir}/%{name}/%{name}_version.h
%{_libdir}/lib%{name}.so
%{_libdir}/pkgconfig/%{name}.pc

#=============================================================================
%prep
%setup -q
%patch0 -p1
%patch1 -p1

#-----------------------------------------------------------------------------
#building application
%build

%{__mkdir} bld
pushd bld

cmake								\
	-D CMAKE_INSTALL_PREFIX=%{_prefix}			\
	-D LIB_SUFFIX=""					\
	-D YAML_CPP_BUILD_TOOLS=OFF				\
	-D YAML_CPP_BUILD_TESTS=OFF				\
	-D YAML_BUILD_SHARED_LIBS=ON 				\
	..

%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make} %{_smp_mflags}
popd

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

%{__make}							\
	-C bld							\
	DESTDIR=%{buildroot}					\
	install

#To remove static library
find 								\
	%{buildroot}%{_libdir}					\
	-name \*.a						\
	-delete

#-----------------------------------------------------------------------------
%changelog
